* {
  box-sizing: border-box;
  padding: 0;
  margin: 0; }

body {
  line-height: 1.4; 
  font-family:'Poppins, sans-serif' }

.background-img {
  position: absolute;
  z-index: 1;
  object-fit: cover;
  top: 0;
  left: 0;
  height: 100% !important;
  width: 100%; }

.d-flex-center {
  display: flex;
  justify-content: center;
  align-items: center; }

.overlay {
  position: relative; }

.overlay::after {
  content: "";
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.25);
  position: absolute;
  top: 0;
  z-index: 1; }

.whatsapp-fixed-icon {
  position: fixed;
  bottom: 1.25rem;
  right: 1.875rem;
  z-index: 9999;
  font-size: 3.125rem;
  color: #51ff0d; }

.instagram-icon {
  bottom: calc(1.25rem + 3.2rem) !important;
  color: #e1306c !important; }
  .instagram-icon:hover {
    color: blue !important; }

.calling-icon {
  top: 50%;
  left: -22px;
  position: fixed !important;
  transform: translateY(-50%) rotate(90deg);
  z-index: 9999 !important;
  text-decoration: none !important;
  transform-origin: top;
  color: white !important;
  border: 1px solid white;
  background-color: orange !important;
  box-shadow: 0px 0px 6px;
  letter-spacing: 1px;
  font-weight: bold; }
  .calling-icon:hover {
    color: black !important; }

.heading-border {
  border-left: 2px solid #686868;
  border-bottom: 2px solid  #686868;
  padding-bottom: 10px;
  margin-bottom: 2rem;
  margin-top: 1rem;
  text-align: center;
  text-transform: uppercase; }

.custom-btn {
  background-color: transparent;
  color: white;
  text-transform: uppercase;
  font-family: "Roboto", sans-serif;
  display: inline-block;
  font-weight: 500;
  letter-spacing: 1px;
  overflow: hidden;
  margin: 0;
  transition: color 0.4s linear;
  text-align: center;
  border: 1px solid white;
  font-size: 1rem;
  position: relative;
  z-index: 2;
  padding: 1rem 2rem; }
  .custom-btn:hover {
    color: black;
    text-decoration: none; }
  .custom-btn:before {
    content: "";
    position: absolute;
    left: -100%;
    top: 0;
    z-index: 1;
    width: 102%;
    height: 110%;
    background-color: white;
    transition: all 0.8s cubic-bezier(0.5, 1.6, 0.4, 0.7);
    transform: scaleX(0); }
  .custom-btn:hover::before {
    transform: scaleX(1);
    z-index: -1;
    left: 0; }

.carousel-arrow {
  border: 1px solid grey;
  height: 2.75rem;
  color: grey;
  z-index: 10 !important;
  width: 2.75rem !important;
  transition: all 0.3s ease-in;
  top: 50% !important;
  transform: translateY(-50%) !important;
  box-shadow: 0px 0px 4px black; }
  .carousel-arrow:hover {
    border: 1px solid #1b4962;
    color: red; }

.mail-link {
  font-size: 1.25rem !important; }
  .mail-link:hover {
    color: darkgreen; }

.border-top-dark {
  border-top: 4px solid black; }

header {
  position: sticky;
  z-index: 1030;
  top: 0;
  left: 0;
  right: 0;
  box-shadow: 0px 2px 2px grey; }

nav {
  padding: 0 15px 0 15px; }
  nav .navbar-brand {
    height: 90px;
    max-width: 160px; }
    nav .navbar-brand img {
      object-fit: contain;
      height: 100%;
      width: 100%; }

main {
  min-height: calc(100vh - 500px); }

.hero-banner {
  height: calc(100vh - 98px);
  min-height: 300px;
  position: relative;
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  padding-top: 98px; }
  .hero-banner h1 {
    color: white;
    position: relative;
    z-index: 2;
    border-top: 2px solid white;
    border-bottom: 2px solid white;
    padding-top: 1px;
    padding-bottom: 15px;
    animation-name: growShrink;
    animation-duration: 2s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite; }

@keyframes growShrink {
  0% {
    padding: 1px 0 16px 0; }
  50% {
    padding: 1px 3.25rem 16px 3.25rem; }
  100% {
    padding: 1px 0 16px 0; } }

.about-section {
  padding: 5rem 0;
  color: #686868; }
  .about-section span {
    height: 50vh;
    display: block;
    width: 100%;
    margin-bottom: 1rem;
    min-height: 300px;
    max-height: 500px; }
    .about-section span img {
      height: 100%;
      width: 100%;
      object-fit: cover; }
  .about-section p:last-of-type {
    margin-bottom: 5rem; }
  .about-section h2, .about-section h3 {
    text-align: center;
    color: #272626;
    text-transform: uppercase; }

.about-img {
  height: 50vh;
  min-height: 300px;
  max-height: 500px;
  background-attachment: fixed;
  background-position: center;
  background-size: cover; }

.gallery-section {
  padding-top: 5rem;
  padding-bottom: 5rem;
  background-color: #191919;
  text-align: center;
  color: #686868; }
  .gallery-section h2 {
    color: white; }
  .gallery-section p {
    margin-bottom: 2rem; }
  .gallery-section .row {
    margin-bottom: 2rem; }

.gallery-img {
  height: 18rem;
  position: relative;
  margin-bottom: 1rem; }

.location-section {
  padding-top: 2rem;
  padding-bottom: 5rem; }
  .location-section h2 {
    margin-bottom: 4rem; }
  .location-section ul {
    list-style: none;
    color: black; }
    .location-section ul li {
      margin: 1rem 0; }
      .location-section ul li a {
        font-size: 2rem;
        color: black;
        text-decoration: none;
        transition: all 0.5s ease-in-out; }
        .location-section ul li a:hover span {
          color: green; }
        .location-section ul li a span {
          color: red; }

.location-map {
  height: 400px; }
  .location-map iframe {
    height: 100%;
    width: 90%;
    border: 0; }

.testimonal-section {
  padding-top: 5rem;
  padding-bottom: 2rem;
  position: relative; }
  .testimonal-section .testimonal-icon {
    margin-bottom: 3rem; }
  .testimonal-section .carousel {
    max-width: 999px;
    width: 100%;
    height: 100%; }
  .testimonal-section p {
    color: black; }
  .testimonal-section .testimonal-icon {
    color: red;
    display: inline-block;
    font-size: 3rem;
    margin: 2rem 0; }
  .testimonal-section .carousel-caption {
    z-index: 2;
    position: relative;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    padding: 0;
    margin: 0 auto;
    max-width: 750px;
    width: 80%; }
    .testimonal-section .carousel-caption p:first-of-type {
      margin-bottom: 3.4rem; }
  .testimonal-section .carousel-arrow {
    border-radius: 6px; }
    .testimonal-section .carousel-arrow:hover {
      border: 1px solid pink; }

.testimonal-img {
  height: 80px;
  width: 80px;
  border-radius: 50%;
  overflow: hidden; }
  .testimonal-img img {
    object-fit: contain;
    height: 100%;
    width: 100%; }

.testimonal-text {
  padding-left: 20px; }
  .testimonal-text h4 {
    color: red;
    font-size: 30px !important; }

.testimonal-items {
  z-index: 2;
  bottom: 0;
  left: 0; }

.location-section p {
  margin: 2rem auto;
  text-align: center; }

.explore-section span {
  height: 50vh;
  display: block;
  width: 100%;
  margin-bottom: 1rem;
  min-height: 300px;
  max-height: 500px; }
  .explore-section span img {
    height: 100%;
    width: 100%;
    object-fit: cover; }

footer {
  background-color: black;
  padding-top: 5rem;
  padding-bottom: 5rem;
  color: white; }
  footer .row {
    border-bottom: 1px solid grey; }
  footer p {
    text-align: center;
    padding-top: 2rem; }
  footer span {
    color: red; }
  footer ul {
    list-style: none;
    display: flex; }
    footer ul li {
      margin: 1rem; }
      footer ul li a {
        color: white;
        text-decoration: none !important; }
        footer ul li a:hover {
          color: grey; }

.footer-img {
  height: 100px;
  width: 150px;
  margin: 0  auto 2rem auto; }
  .footer-img img {
    height: 100%;
    width: 100%;
    object-fit: contain; }

.footer-icons a {
  font-size: 1.2rem; }

@media (min-width: 768px) {
  .stay-list {
    padding-left: 2rem; } }

@media (max-width: 767px) {
  html {
    font-size: 14px; }
  header {
    position: fixed; }
  main {
    margin-top: 106px; }
  .hero-banner {
    height: calc(60vh - 98px); }
  .location-section h2 {
    margin-bottom: 2rem; }
  footer ul {
    justify-content: center; }
  .whatsapp-fixed-icon {
    bottom: 56px; }
  .instagram-icon {
    bottom: calc(56px + 3.2rem) !important; }
  .calling-icon {
    width: 100vw;
    left: 0;
    bottom: 0;
    transform: translateY(0) rotate(0deg);
    top: unset; }
  footer {
    padding-bottom: calc(5rem + 56px); }
  .footer-links {
    flex-direction: column;
    align-items: center; } }


.img-hover img {
    -webkit-transition: all .5s ease; /* Safari and Chrome */
  	-moz-transition: all .3s ease; /* Firefox */
  	-o-transition: all .3s ease; /* IE 9 */
  	-ms-transition: all .3s ease; /* Opera */
  	transition: all .5s ease;
  	position:relative;
}
.img-hover img:hover {
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform:translateZ(0) scale(1.70); /* Safari and Chrome */
    -moz-transform:scale(1.20); /* Firefox */
    -ms-transform:scale(1.20); /* IE 9 */
    -o-transform:translatZ(0) scale(1.20); /* Opera */
    transform:translatZ(0) scale(1.70);
}
  
.img-hover:hover:after {
    content:"";
    position:absolute;
    top:0;
    left:0;
    z-index:6;
    width:30px;
    height:30px;
    border:1px solid #000;
}
  
.grayscale {
  -webkit-filter: brightness(1.10) grayscale(100%) contrast(90%);
  -moz-filter: brightness(1.10) grayscale(100%) contrast(90%);
  filter: brightness(1.10) grayscale(100%); 
}